aboutsummaryrefslogtreecommitdiff
path: root/bin/volume-ctl
diff options
context:
space:
mode:
authorCharles Cabergs <me@cacharle.xyz>2020-08-10 14:04:29 +0200
committerCharles Cabergs <me@cacharle.xyz>2020-08-10 14:04:29 +0200
commit7e1ae8bf92d08665a647422071e6d92a4aca3456 (patch)
treec6278ad782a5fa7d1de31566e8b4a75e9faf6189 /bin/volume-ctl
parent1b1369ce79dcb6e1dcb8ba1bc21cf22220ef52fe (diff)
parent5f97842b01d98c586d3b6bc0834ec6704a2b1d3a (diff)
downloaddotfiles-7e1ae8bf92d08665a647422071e6d92a4aca3456.tar.gz
dotfiles-7e1ae8bf92d08665a647422071e6d92a4aca3456.tar.bz2
dotfiles-7e1ae8bf92d08665a647422071e6d92a4aca3456.zip
Merge branch 'carbon'
Diffstat (limited to 'bin/volume-ctl')
-rwxr-xr-xbin/volume-ctl12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/volume-ctl b/bin/volume-ctl
new file mode 100755
index 0000000..7e3ec83
--- /dev/null
+++ b/bin/volume-ctl
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+[ "$#" -ne 1 ] && exit 1;
+
+case "$1" in
+ "up") pulseaudio-ctl up ;;
+ "down") pulseaudio-ctl down ;;
+ "mute") pulseaudio-ctl mute ;;
+ *) exit 1 ;;
+esac
+
+notify-send "volume $(pulseaudio-ctl full-status | cut -d ' ' -f 1)"